NPM-ROOT(1)

NAME
npm-root - Display npm root

  Synopsis

    npm root [-g]

  Description

Print the effective node_modules folder to standard out.

Useful for using npm in shell scripts that do things with the node_modules folder. For example:

    #!/bin/bash
    global_node_modules="$(npm root --global)"
    echo "Global packages installed in: ${global_node_modules}"

  See Also

    •   npm help prefix

    •   npm help bin

    •   npm help folders

    •   npm help config

    •   npm help npmrc